Bug 1427893 - liboping-1.9.0-2.fc26 FTBFS: oping.c:1134:11: error: argument 1 value '18446744073709551611' exceeds maximum object size 9223372036854775807 [-Werror=alloc-size-larger-than=]
Summary: liboping-1.9.0-2.fc26 FTBFS: oping.c:1134:11: error: argument 1 value '184467...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: liboping
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 13:18 UTC by Petr Pisar
Modified: 2017-07-10 06:31 UTC (History)
3 users (show)

Fixed In Version: liboping-1.10.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-10 06:31:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2017-03-01 13:18:28 UTC
liboping-1.9.0-2.fc26 fails to build in F26:

gcc -DHAVE_CONFIG_H -I.    -Wall -Werror -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o oping.o oping.c
gcc -DHAVE_CONFIG_H -I.   -DUSE_NCURSES=1  -Wall -Werror -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o noping-oping.o `test -f 'oping.c' || echo './'`oping.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -Wall -Werror -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c liboping.c  -fPIC -DPIC -o .libs/liboping_la-liboping.o
In function 'update_graph_histogram',
    inlined from 'update_stats_from_context' at oping.c:1258:3,
    inlined from 'update_host_hook.isra.4' at oping.c:1619:2,
    inlined from 'main' at oping.c:1971:4:
oping.c:1134:11: error: argument 1 value '18446744073709551611' exceeds maximum object size 9223372036854775807 [-Werror=alloc-size-larger-than=]
  counters = calloc (x_max, sizeof (*counters));
  ~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

This happens on aarch64 and ppc64le only.

Difference between working and failing build root is:

        perl-generators 	1.10-1.fc25 	> 	1.10-2.fc26
	perl-ExtUtils-MakeMaker 	7.24-1.fc26 	> 	7.24-2.fc26
	perl-Test-Simple 	1.302075-1.fc26 	> 	1.302075-2.fc26
	ncurses-devel 	6.0-6.20160709.fc25 	> 	6.0-8.20170212.fc26
	perl-threads-shared 	1.54-1.fc26 	> 	1.54-2.fc26
	perl-Text-Tabs+Wrap 	2013.0523-365.fc25 	> 	2013.0523-366.fc26
	ncurses-libs 	6.0-6.20160709.fc25 	> 	6.0-8.20170212.fc26
	perl-Encode 	4:2.88-5.fc26 	> 	4:2.88-6.fc26
	perl-Carp 	1.40-365.fc25 	> 	1.40-366.fc26
	perl-Fedora-VSP 	0.001-4.fc25 	> 	0.001-5.fc26
	bash 	4.4.11-1.fc26 	> 	4.4.11-2.fc26
	perl-Data-Dumper 	2.161-1.fc25 	> 	2.161-2.fc26
	perl-ExtUtils-Install 	2.04-366.fc25 	> 	2.04-367.fc26
	perl-File-Temp 	0.230.400-1.fc26 	> 	0.230.400-2.fc26
	gdbm-devel 	1.12-1.fc25 	> 	1.12-2.fc26
	perl-Scalar-List-Utils 	3:1.47-1.fc26 	> 	3:1.47-2.fc26
	perl-Test-Harness 	3.36-368.fc26 	> 	3.36-369.fc26
	perl-File-Path 	2.12-365.fc25 	> 	2.12-366.fc26
	ncurses-c++-libs 	6.0-6.20160709.fc25 	> 	6.0-8.20170212.fc26
	perl-version 	5:0.99.17-1.fc25 	> 	5:0.99.17-2.fc26
	perl-ExtUtils-ParseXS 	1:3.31-367.fc26 	> 	1:3.31-368.fc26
	perl-Term-ANSIColor 	4.06-1.fc26 	> 	4.06-2.fc26
	perl-ExtUtils-Manifest 	1.70-365.fc25 	> 	1.70-366.fc26
	perl-Exporter 	5.72-366.fc25 	> 	5.72-367.fc26
	perl-Getopt-Long 	2.49.1-1.fc25 	> 	2.49.1-2.fc26
	perl-PathTools 	3.63-366.fc26 	> 	3.63-367.fc26
	perl-ExtUtils-Command 	7.24-1.fc26 	> 	7.24-2.fc26
	perl-podlators 	4.09-1.fc26 	> 	4.09-2.fc26
	gdbm 	1.12-1.fc25 	> 	1.12-2.fc26
	perl-constant 	1.33-367.fc25 	> 	1.33-368.fc26
	perl-MIME-Base64 	3.15-365.fc25 	> 	3.15-366.fc26
	perl-Unicode-Normalize 	1.25-365.fc25 	> 	1.25-366.fc26
	perl-Pod-Simple 	1:3.35-1.fc26 	> 	1:3.35-2.fc26
	perl-Term-Cap 	1.17-365.fc25 	> 	1.17-366.fc26
	glib2 	2.51.0-2.fc26 	> 	2.51.2-1.fc26
	libstdc++ 	7.0.1-0.7.fc26 	> 	7.0.1-0.8.fc26
	perl-Text-ParseWords 	3.30-365.fc25 	> 	3.30-366.fc26
	perl-Socket 	4:2.024-1.fc26 	> 	4:2.024-2.fc26
	perl-parent 	1:0.236-1.fc26 	> 	1:0.236-2.fc26
	libgcc 	7.0.1-0.7.fc26 	> 	7.0.1-0.8.fc26
	python3-pyparsing 	2.1.10-1.fc26 	> 	2.1.10-3.fc26
	ncurses-base 	6.0-6.20160709.fc25 	> 	6.0-8.20170212.fc26
	perl-threads 	1:2.12-1.fc26 	> 	1:2.12-2.fc26
	perl-Pod-Usage 	4:1.69-1.fc25 	> 	4:1.69-2.fc26
	filesystem 	3.2-39.fc26 	> 	3.2-40.fc26
	python3-setuptools 	34.1.1-1.fc26 	> 	34.2.0-1.fc26
	perl-Pod-Escapes 	1:1.07-365.fc25 	> 	1:1.07-366.fc26
	nss-softokn-freebl 	3.29.0-2.fc26 	< 	3.28.1-2.fc26
	python3-pip 	9.0.1-4.fc26 	> 	9.0.1-6.fc26
	libmount 	2.29.1-1.fc26 	> 	2.29.1-2.fc26
	libselinux 	2.5-16.fc26 	> 	2.5-18.fc26
	perl-Pod-Perldoc 	3.27-1.fc26 	> 	3.27-2.fc26
	ncurses 	6.0-6.20160709.fc25 	> 	6.0-8.20170212.fc26
	libffi 	3.1-9.fc24 	> 	3.1-10.fc26
	kernel-headers 	4.10.0-0.rc7.git3.1.... 	> 	4.10.0-0.rc8.git1.1....
	pcre 	8.40-1.fc26.1 	> 	8.40-2.fc26
	xz 	5.2.3-1.fc26 	> 	5.2.3-2.fc26
	libtool-ltdl 	2.4.6-16.fc26 	> 	2.4.6-17.fc26
	file-libs 	5.29-3.fc26 	> 	5.30-3.fc26
	fedora-rpm-macros 	26-1.fc26 	> 	26-2.fc26
	nss 	3.29.0-3.fc26 	< 	3.28.1-6.fc26
	rpm 	4.13.0-11.fc26 	> 	4.13.0.1-2.fc26
	libssh2 	1.8.0-1.fc26 	> 	1.8.0-2.fc26
	zip 	3.0-17.fc26 	> 	3.0-18.fc26
	libstdc++-devel 	7.0.1-0.7.fc26 	> 	7.0.1-0.8.fc26
	gnupg2 	2.1.17-2.fc26 	> 	2.1.17-3.fc26
	libverto 	0.2.6-6.fc24 	> 	0.2.6-7.fc26
	cracklib 	2.9.6-4.fc26 	> 	2.9.6-5.fc26
	groff-base 	1.22.3-8.fc24 	> 	1.22.3-9.fc26
	npth 	1.3-1.fc26 	> 	1.3-2.fc26
	info 	6.3-1.fc26 	> 	6.3-2.fc26
	guile 	5:2.0.13-2.fc26 	> 	5:2.0.14-1.fc26
	libtasn1 	4.10-1.fc26 	> 	4.10-2.fc26
	nss-util 	3.29.0-2.fc26 	< 	3.28.1-2.fc26
	bzip2-libs 	1.0.6-21.fc26 	> 	1.0.6-22.fc26
	libsemanage 	2.5-9.fc26 	> 	2.5-10.fc26
	libipt 	1.5-1.fc25 	> 	1.5-2.fc26
	go-srpm-macros 	2-7.fc25 	> 	2-8.fc26
	libassuan 	2.4.3-1.fc25 	> 	2.4.3-2.fc26
	tar 	2:1.29-3.fc26 	> 	2:1.29-4.fc26
	libxml2 	2.9.4-1.fc26 	> 	2.9.4-2.fc26
	expat 	2.2.0-1.fc25 	> 	2.2.0-2.fc26
	file 	5.29-3.fc26 	> 	5.30-3.fc26
	emacs-filesystem 	1:25.1-4.fc26 	< 	
	libgomp 	7.0.1-0.7.fc26 	> 	7.0.1-0.8.fc26
	xz-libs 	5.2.3-1.fc26 	> 	5.2.3-2.fc26
	bzip2 	1.0.6-21.fc26 	> 	1.0.6-22.fc26
	publicsuffix-list-dafsa 	20170116-1.fc26 	> 	20170116-2.fc26
	coreutils 	8.26-6.fc26 	> 	8.26-7.fc26
	libcap-ng 	0.7.8-2.fc26 	> 	0.7.8-3.fc26
	which 	2.21-1.fc25 	> 	2.21-2.fc26
	libcap 	2.25-4.fc26 	> 	2.25-5.fc26
	libidn 	1.33-1.fc25 	< 	
	p11-kit-trust 	0.23.3-2.fc26 	> 	0.23.3-3.fc26
	gcc 	7.0.1-0.7.fc26 	> 	7.0.1-0.8.fc26
	libutempter 	1.1.6-8.fc24 	> 	1.1.6-9.fc26
	cpio 	2.12-3.fc24 	> 	2.12-4.fc26
	gzip 	1.8-1.fc25 	> 	1.8-2.fc26
	openldap 	2.4.44-7.fc26 	> 	2.4.44-8.fc26
	perl-srpm-macros 	1-20.fc25 	> 	1-21.fc26
	libmetalink 	0.1.3-1.fc26 	> 	0.1.3-2.fc26
	readline 	7.0-4.fc26 	> 	7.0-5.fc26
	libpsl 	0.17.0-1.fc26 	> 	0.17.0-2.fc26
	rpm-libs 	4.13.0-11.fc26 	> 	4.13.0.1-2.fc26
	ustr 	1.0.4-21.fc24 	> 	1.0.4-22.fc26
	nettle 	3.3-1.fc26 	> 	3.3-2.fc26
	qt5-srpm-macros 	5.7.1-2.fc26 	> 	5.8.0-2.fc26
	cyrus-sasl-lib 	2.1.26-27.fc26 	> 	2.1.26-28.fc26
	libsepol 	2.5-10.fc26 	> 	2.5-11.fc26
	cpp 	7.0.1-0.7.fc26 	> 	7.0.1-0.8.fc26
	nss-pem 	1.0.2-2.fc25 	> 	1.0.2-3.fc26
	libksba 	1.3.5-2.fc26 	> 	1.3.5-3.fc26
	nss-tools 	3.29.0-3.fc26 	< 	3.28.1-6.fc26
	ghc-srpm-macros 	1.4.2-4.fc25 	> 	1.4.2-5.fc26
	lz4 	1.7.5-1.fc26 	> 	1.7.5-2.fc26
	libfdisk 	2.29.1-1.fc26 	> 	2.29.1-2.fc26
	rpm-build-libs 	4.13.0-11.fc26 	> 	4.13.0.1-2.fc26
	libnghttp2 	1.19.0-1.fc26 	> 	1.19.0-2.fc26
	findutils 	1:4.6.0-10.fc26 	> 	1:4.6.0-11.fc26
	popt 	1.16-7.fc24 	> 	1.16-8.fc26
	openssl-libs 	1:1.1.0d-2.fc26 	> 	1:1.1.0d-3.fc26
	rpm-plugin-selinux 	4.13.0-11.fc26 	> 	4.13.0.1-2.fc26
	util-linux 	2.29.1-1.fc26 	> 	2.29.1-2.fc26
	libpwquality 	1.3.0-7.fc26 	> 	1.3.0-8.fc26
	crypto-policies 	20161111-1.gita2363ce.... 	> 	20170214-1.gitf3018dd....
	libacl 	2.2.52-12.fc26 	> 	2.2.52-13.fc26
	gdb-headless 	7.12.1-43.fc26 	> 	7.12.1-46.fc26
	gmp 	1:6.1.2-1.fc26 	> 	1:6.1.2-2.fc26
	gcc-c++ 	7.0.1-0.7.fc26 	> 	7.0.1-0.8.fc26
	python3-packaging 	16.8-2.fc26 	> 	16.8-4.fc26
	unzip 	6.0-32.fc26 	> 	6.0-33.fc26
	systemd-libs 	232-12.fc26 	> 	232-15.fc26
	python3-six 	1.10.0-6.fc26 	> 	1.10.0-8.fc26
	fpc-srpm-macros 	1.1-1.fc26 	> 	1.1-2.fc26
	ca-certificates 	2017.2.11-3.fc26 	> 	2017.2.11-4.fc26
	libatomic_ops 	7.4.4-1.fc25 	> 	7.4.4-2.fc26
	lzo 	2.08-8.fc24 	> 	2.08-9.fc26
	gnutls 	3.5.8-2.fc26 	> 	3.5.9-2.fc26
	basesystem 	11-2.fc24 	> 	11-3.fc26
	libbabeltrace 	1.5.1-1.fc26 	> 	1.5.1-2.fc26
	p11-kit 	0.23.3-2.fc26 	> 	0.23.3-3.fc26
	nspr 	4.13.1-1.fc26 	> 	4.13.1-2.fc26
	rpm-build 	4.13.0-11.fc26 	> 	4.13.0.1-2.fc26
	sqlite-libs 	3.16.2-2.fc26 	> 	3.16.2-3.fc26
	gc 	7.6.0-1.fc26 	> 	7.6.0-2.fc26
	libsmartcols 	2.29.1-1.fc26 	> 	2.29.1-2.fc26
	perl-HTTP-Tiny 	0.070-1.fc26 	> 	0.070-2.fc26
	ocaml-srpm-macros 	4-1.fc26 	> 	4-2.fc26
	gnat-srpm-macros 	4-1.fc25 	> 	4-2.fc26
	libblkid 	2.29.1-1.fc26 	> 	2.29.1-2.fc26
	audit-libs 	2.7.1-1.fc26 	> 	2.7.2-2.fc26
	nss-sysinit 	3.29.0-3.fc26 	< 	3.28.1-6.fc26
	python-srpm-macros 	3-17.fc26 	> 	3-18.fc26
	libsigsegv 	2.10-11.fc26 	> 	2.10-12.fc26
	keyutils-libs 	1.5.9-8.fc24 	> 	1.5.9-9.fc26
	libgpg-error 	1.25-1.fc26 	> 	1.25-2.fc26
	shadow-utils 	2:4.3.1-2.fc26 	> 	2:4.3.1-3.fc26
	gawk 	4.1.4-2.fc26 	> 	4.1.4-3.fc26
	python3-appdirs 	1.4.0-8.fc26 	> 	1.4.0-10.fc26
	libgcrypt 	1.7.5-1.fc26 	> 	1.7.6-2.fc26
	libidn2 	0.16-1.fc26 	> 	0.16-2.fc26
	libuuid 	2.29.1-1.fc26 	> 	2.29.1-2.fc26
	nss-softokn 	3.29.0-2.fc26 	< 	3.28.1-2.fc26
	binutils 	2.27-16.fc26 	> 	2.27-18.fc26
	libattr 	2.4.47-17.fc26 	> 	2.4.47-18.fc26
	coreutils-common 	8.26-6.fc26 	> 	8.26-7.fc26
	perl-Time-Local 	1:1.250-1.fc26 	> 	1:1.250-2.fc26

Comment 1 Anton Guda 2017-07-07 17:46:19 UTC
liboping-1.10.0-1.fc27 seems to work fine...


Note You need to log in before you can comment on or make changes to this bug.